IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[MEDWEB_TETKIK]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].MEDWEB_TETKIK
GO

CREATE FUNCTION [dbo].[MEDWEB_TETKIK](@HTETKIKID int) 
RETURNS @retTetkikler TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	HTRAPORU ntext,
	HTSONUC ntext,
	HTETKIKID int,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100)
)
AS
BEGIN
	INSERT INTO @retTetkikler
	SELECT VWTETKIK.TETKIKTURADI,VWTETKIK.ITEMADI, VWTETKIK.HTRAPORU AS HTRAPORU,
		 VWTETKIK.HTSONUC AS HTSONUC, 

VWTETKIK.HTETKIKID,LTCKIMLIKNO,LADISOYADI,LDTARIHI,LHYASI,HCINSIYETI,HDOSYAID,LBOLUM,LDOKTOR,LUYGDRADI,UYGDRUNVAN,UYGDRUZMANLIKADI
	FROM VWTETKIK 
	WHERE  HTETKIKID  = @HTETKIKID AND DURUM = 2 AND WEBGORUNSUN = 1
    RETURN
END
